#include <avr/io.h>
#include "sbit.h"
#include "io_label.h"

uint8_t FB[4];

uint8_t ct=0;

void seg_multiplex(void) {

	SEG_0=false;
	SEG_1=false;
	SEG_2=false;
	SEG_3=false;
	
	SEG_A=SBIT(FB[ct],0);
	SEG_B=SBIT(FB[ct],1);
	SEG_C=SBIT(FB[ct],2);
	SEG_D=SBIT(FB[ct],3);
	SEG_E=SBIT(FB[ct],4);
	SEG_F=SBIT(FB[ct],5);
	SEG_G=SBIT(FB[ct],6);
	SEG_DP=SBIT(FB[ct],7);
	
	if(ct==0) {
		SEG_0=true;
	} else if(ct==1) {
		SEG_1=true;
	} else if(ct==2) {
		SEG_2=true;
	} else if(ct==3) {
		SEG_3=true;
	}
	
	if(ct<3) {
		ct++;
	} else {
		ct=0;
	}
}