#include <avr/interrupt.h>
#include <avr/io.h>
#include "multiplex.h"


void timer0_init(void) {
	TCCR0 |= (1<<CS01); // Prescaler 8
	TIMSK |= (1<<TOIE0);
	sei();
}

ISR (TIMER0_OVF_vect)
{
	seg_multiplex();
}